Create a VPC
curl --request POST \
--url https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my-production-vpc",
"cidr": "10.0.0.0/16",
"region_code": "us-east-1"
}
'import requests
url = "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs"
payload = {
"name": "my-production-vpc",
"cidr": "10.0.0.0/16",
"region_code": "us-east-1"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'my-production-vpc', cidr: '10.0.0.0/16', region_code: 'us-east-1'})
};
fetch('https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234567890",
"name": "my-production-vpc",
"cidr": "10.0.0.0/16",
"region_code": "us-east-1"
}{
"code": "<string>",
"message": "<string>"
}Create a VPC
Creates a new Virtual Private Cloud (VPC).
POST
/
projects
/
{project_id}
/
vpcs
Create a VPC
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Path Parameters
The unique identifier of the project.
Example:
"rp1pz7uyae"
Body
application/json